require "global";
require "local";
local dtcheckShift = os.time() - 10;


while api_checkThread(99) do

	if checkSuoDing() then

		api_SIKeyDown(16);
		--api_sendKeyEx(16,1);
		dtcheckShift = os.time();
		api_LuaSleep(50);
	else
		--api_sendKeyEx(16,0);
		api_SIKeyUp(16);
		api_LuaSleep(300);
	end
end

api_SIKeyUp(16);


